/* -*- mode: C++ ; c-basic-offset: 2; indent-tabs-mode: nil -*- */

#ifndef SWIG__COMMON__RO_VECTOR_I
#define SWIG__COMMON__RO_VECTOR_I

%include "std_vector.i"

%{
#include "rovector.hh"

  using NDS::rovector;
%}

template < typename T >
class rovector
  : public std::vector< T >
{
private:
    typedef std::vector< T > base_type;

public:
  typedef size_t size_type;
  class const_iterator;

  rovector();
  rovector( const rovector& Source );

};

#endif /* SWIG__COMMON__RO_VECTOR_I */
